# Medito App

Meditation can positively transform people's lives. We believe no one should have to pay for it. 

We are the [Medito Foundation](https://meditofoundation.org), and we've built the Medito App for people who have never meditated before or want to deepen their meditation practice. 

The app is free, forever: no ads, no spam, no need to sign up or pay. 

Medito App is a flutter project available on Android and iOS maintained by the Medito Foundation and the community.

## Install
[![GitHub release (latest SemVer)](https://img.shields.io/github/v/release/meditohq/medito-app?label=latest%20version&sort=semver)](https://github.com/meditohq/medito-app/releases)

| Android | iOS |
| :--: | :--: |
| <a href="https://play.google.com/store/apps/details?id=meditofoundation.medito"><img src="https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png" alt="Get it on Google Play" height="80"/></a><br/>|<a href="https://apps.apple.com/us/app/medito/id1500780518"><img src="https://developer.apple.com/assets/elements/badges/download-on-the-app-store.svg" alt="Download on the App Store" height="55"/></a> |

## How to use this code

The best way to start is by opening the project with [Android Studio](https://developer.android.com/studio) or [Visual Studio](https://visualstudio.microsoft.com/)

You will need an API key to build the project.

To request one, join the #dev channel on [slack](https://join.slack.com/t/meditofoundation/shared_invite/zt-f0viisyt-VdJ7ygqNHt9sIeGzZiatlQ) and reply to the slackbot questions.

The API documentation is available on the [wiki](https://github.com/meditohq/medito-app/wiki/).

Need more details? [Feel free to raise an issue](https://github.com/meditohq/medito-app/issues).

## Contributing
Pull requests are welcome. For significant changes, please open an issue first to discuss what you would like to change.

Don't feel like contributing to the code?
Feature requests, feedback and suggestions are welcome. Reach us via Slack/email, or create a new issue.

## About the Medito Foundation

We are a registered Dutch nonprofit

```html
Medito Foundation (or in Dutch "Medito Stichting") 
KvK-nummer: 75284251
RSIN: 860222627 
```

- [About us](https://meditofoundation.org/about)
- [Why we started Medito](https://meditofoundation.org/blog/why-meditation-should-be-free)
- [Press release](https://meditofoundation.org/blog/medito-foundation-launches-app-to-free-meditation-from-clutches-of-big-business)
- [Medito on Product Hunt](https://www.producthunt.com/posts/medito)
- [Email us](mailto:hi@meditofoundation.org)

## License
- App: [GNU AFFERO GENERAL PUBLIC LICENSE](https://gitlab.com/medito/medito-app/-/blob/master/LICENSE)
- Our original content is licensed under a Creative Commons licence. For more information please refer to [meditofoundation.org/license](https://meditofoundation.org/license).
- Sometimes we aggregate content from other sources that do not have the same license. This content is generally not published under "Medito". Make sure to respect the original copyright. 
Now that you know, we cannot be held responsible if you are miss-using this content. If you need more info, reach us on slack or by email.

Medito Foundation
https://meditofoundation.org/
